//
//  Suggestion.swift
//  Pachyderm
//
//  Created by Shadowfacts on 1/22/23.
//

import Foundation

public struct Suggestion: Decodable, Sendable {
    public let source: Source
    public let account: Account
    
    public static func remove(accountID: String) -> Request<Empty> {
        return Request(method: .delete, path: "/api/v1/suggestions/\(accountID)")
    }
}

extension Suggestion {
    public enum Source: String, Decodable, Sendable {
        case staff
        case pastInteractions = "past_interactions"
        case global
    }
}
